Loading...
Searching...
No Matches
tftp_common.h File Reference

Trivial File Transfer Protocol (RFC 1350). More...

`#include "lwip/apps/tftp_opts.h"`
`#include "lwip/err.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip_addr.h"`

## Data Structures

struct | tftp_context

## Functions

err_t | tftp_init_common (u8_t mode, const struct tftp_context *ctx)
void | tftp_cleanup (void)

## Detailed Description

Trivial File Transfer Protocol (RFC 1350).

Author
  Logan Gunthorpe logan.nosp@m.g@de.nosp@m.ltate.nosp@m.e.co.nosp@m.m

Copyright (c) Deltatee Enterprises Ltd. 2013 All rights reserved.

## Function Documentation

## tftp_init_common()

err_t tftp_init_common | ( | u8_t | mode,
|  | const struct tftp_context * | ctx )

Initialize TFTP client/server.

Parameters

  mode | TFTP mode (client/server)
  ctx | TFTP callback struct